Module org.jboss.classfilewriter
Package org.jboss.classfilewriter.constpool

# Class ConstPoolEntry

java.lang.Object
org.jboss.classfilewriter.constpool.ConstPoolEntry

All Implemented Interfaces:
  `WritableEntry`

Direct Known Subclasses:
  `ClassEntry`, `DoubleEntry`, `FieldRefEntry`, `FloatEntry`, `IntegerEntry`, `InterfaceMethodRefEntry`, `LongEntry`, `MethodRefEntry`, `NameAndTypeEntry`, `StringEntry`, `Utf8Entry`

public abstract class ConstPoolEntry extends Object implements WritableEntry

## Constructor Summary

Constructors
Constructor
Description
`ConstPoolEntry()`

## Method Summary

Modifier and Type
Method
Description
`abstract ConstPoolEntryType`
`getType()`
`final void`
`write(ByteArrayDataOutputStream stream)`
`abstract void`
`writeData(DataOutputStream stream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConstPoolEntry

public ConstPoolEntry()

## Method Details

### write

public final void write(ByteArrayDataOutputStream stream) throws IOException

Specified by:
  `write` in interface `WritableEntry`
Throws:
  `IOException`

### writeData

public abstract void writeData(DataOutputStream stream) throws IOException

Throws:
  `IOException`

### getType

public abstract ConstPoolEntryType getType()